Get Bulk Payment File Status
curl --request GET \
--url https://api.yapily.com/bulk-payments/{bulkPaymentId} \
--header 'Authorization: Basic <encoded-value>' \
--header 'consent: <consent>'import requests
url = "https://api.yapily.com/bulk-payments/{bulkPaymentId}"
headers = {
"consent": "<consent>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {consent: '<consent>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://api.yapily.com/bulk-payments/{bulkPaymentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"tracingId": "27b47dca-fb0f-4448-b470-1cd2d5516d0f"
},
"data": {
"id": "76ad88c7-6e99-4a16-a277-e428a73d1e86",
"consentId": "5daeb980-5ff5-49db-b7a0-e93dd9c93533",
"statusDetails": {
"status": "COMPLETED",
"multiAuthorisationStatus": {
"status": "COMPLETED"
},
"updatedAt": "2024-07-25T18:14:52.672Z"
},
"createdAt": "2024-07-25T18:14:52.672Z"
}
}{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 400,
"status": "BAD_REQUEST",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "BAD_REQUEST",
"code": 10600,
"message": "The server could not understand the request due to invalid syntax"
}
]
}
}{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 401,
"status": "UNAUTHORIZED",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "CREDENTIALS",
"code": 10700,
"message": "Authorization header invalid or credentials not authenticated"
}
]
}
}{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 404,
"status": "NOT FOUND",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "INVALID_REQUEST",
"code": 10800,
"message": "Resource not found"
}
]
}
}{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 500,
"status": "INTERNAL SERVER ERROR",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "INTERNAL_SERVER_ERROR",
"code": 11000,
"message": "Unexpected server error"
}
]
}
}Payments
Get Bulk Payment File Status
Returns the bulk file status of the bulk payment for given bulkPaymentId
Get Bulk Payment File Status
Learn more: Bulk Payment Status Monitoring
Authorizations
Use HTTP Basic Authentication with your Application ID as username and Application Secret as password. Manage credentials in the Yapily Console. See Authentication for details.
Headers
Mandatory. The consent token containing the user's authorisation to make the request.
Path Parameters
Mandatory. Bulk payment id returned when bulk payment request was submitted.
Was this page helpful?
⌘I